#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n,x;
    scanf("%d%d",&n,&x);
    int maxl=x,maxd=x;
    int niz[n];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
        if(niz[i]<x)
        {
            if(niz[i]<=maxl)maxl=niz[i];
        }
        else if(niz[i]>=maxd)maxd=niz[i];
    }
    if(abs(x-maxl)<abs(maxd-x))printf("%d",abs(x-maxl)*2+abs(maxd-x));
    else printf("%d",abs(x-maxl)+abs(maxd-x)*2);
    return 0;
}